Search found 1 match

by brendant
Sun Nov 14, 2010 12:23 am
Forum: Ancestral Recall
Topic: Question
Replies: 2
Views: 1689

Question

Is it possible to run Ancestral Recall using Ubuntu 9.x or higher? My system seems to have issues running WinXP for some reason.

Go to advanced search